<nz-card nzSize="small" [nzTitle]="publicGroup" [nzLoading]="publicGroups === undefined">
    <ng-template #publicGroup>
        <i class="fas fa-globe-europe"></i>
        {{ 'Social.Community.Public' | translate }}
    </ng-template>
    <ul nz-list [nzDataSource]="publicGroups" nzBordered nzSize="small">
        <li nz-list-item *ngFor="let item of publicGroups" nzNoFlex (click)="selectGroup(item)">
            <ul nz-list-item-actions>
                <nz-list-item-action>
                    <nz-tag *ngIf="item.hasNew" [nzColor]="'orange'">{{'Social.Newspaper.New' | translate}}</nz-tag>
                </nz-list-item-action>
            </ul>
            {{ item.name }}
        </li>
    </ul>
</nz-card>

<nz-card nzSize="small" [nzTitle]="sharedGroupsTitle" style="margin-top: 6px" [nzLoading]="sharedGroups === undefined">
    <ng-template #sharedGroupsTitle>
        <i class="fas fa-user-friends"></i>
        {{ 'Social.Community.Shared' | translate }}
    </ng-template>
    <ul nz-list [nzDataSource]="sharedGroups" nzBordered nzSize="small">
        <li nz-list-item *ngFor="let item of sharedGroups" nzNoFlex (click)="selectGroup(item)">
            <ul nz-list-item-actions>
                <nz-list-item-action>
                    <nz-tag *ngIf="item.hasNew" [nzColor]="'orange'">{{'Social.Newspaper.New' | translate}}</nz-tag>
                </nz-list-item-action>
            </ul>
            {{ item.name }}
        </li>
    </ul>
</nz-card>

<nz-card nzSize="small" [nzTitle]="privateGroup" style="margin-top: 6px" [nzLoading]="privateGroups === undefined">
    <ng-template #privateGroup>
        <i class="fas fa-user-friends"></i>
        {{ 'Social.Community.Private' | translate }}
    </ng-template>
    <ul nz-list nzBordered nzSize="small">
        <nz-list-header *ngIf="privateGroups && privateGroups.length > 0">
            <input nz-input placeholder="{{ 'Common.Search' | translate }}..." nzSize="small" />
        </nz-list-header>
        <li nz-list-item *ngFor="let item of privateGroups" nzNoFlex (click)="selectGroup(item)">
            <ul nz-list-item-actions>
                <nz-list-item-action>
                    <nz-tag *ngIf="item.hasNew" [nzColor]="'orange'">{{'Social.Newspaper.New' | translate}}</nz-tag>
                </nz-list-item-action>
            </ul>
            {{ item.name }}
        </li>
        <nz-list-footer style="text-align: center;">
            <button nz-button nzSize="small" nzShape="round" (click)="createNewGroup()">
                <i class="fas fa-plus" style="margin-right: 6px"></i>
                {{ 'Social.Community.startNewConversation' | translate }}
            </button>
        </nz-list-footer>
    </ul>
</nz-card>